* {
    margin: 0;
    padding: 0;
    border: 0;
    box-sizing: border-box;
}

h1 {
    font-family: 'Montserrat', sans-serif;
    text-align: center;
    padding: 3%;
}

h2,
h3,
h4,
p {
    font-family: 'Montserrat', sans-serif;
}

div.header {
    background-color: hsl(218, 53%, 83%);
    max-height: 4%;
    text-align: center;
}

.logo {
    width: 100%;
    position: relative;
}

.loginCartLanguages {
    display: flex;
    justify-content: space-between;
    width: 12%;
    position: absolute;
    top: 4%;
    right: 1%;
    transform: translateY(-10%)
}

.loginCartLanguages img {
    width: 100%;
    height: auto;
    max-width: 44px;
    padding: 2px;
}

.loginCartLanguages a:hover {
    border-bottom: 2px solid black;
}


/* Style the top navigation bar */

#navbar {
    display: flex;
    flex-flow: wrap;
    align-items: center;
    justify-content: center;
}


/* Style the navigation bar links */

#navbar a {
    color: black;
    padding: 14px 20px;
    text-decoration: none;
    text-align: center;
}


/* Change color on hover */

#navbar a:hover {
    border-bottom: 2px solid black;
    color: black;
}


/*NavBar Sticky */

#navbar {
    overflow: hidden;
}


/* Banner Test 1 */

.bannerIntro,
.separationBorder {
    text-align: center;
}


/*To make it responsive */


/*It needs to include the class and what is being afected (image in this case) */

.bannerIntro img,
.separationBorder img {
    width: 100%;
    height: auto;
    max-width: 1180px;
}


/* What is new photos */

.newCollection {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    align-items: center;
    align-content: space-around;
}

.mainCollection {
    padding: 0 2%;
}


/* The cursor pointer changes when its going to click an image to a hand instead of the arrow we have by default*/

.pointer {
    cursor: pointer;
}


/* Carousel */

#carousel {
    position: relative;
    width: 1180px;
    margin: auto;
    display: flex;
    align-items: center;
}

#prev,
#next {
    cursor: pointer;
    transition: opacity 0.3s ease;
    opacity: 0;
    position: absolute;
    font-size: 100px;
    color: rgba(220, 220, 220, 0.8);
    background-color: rgba(0, 0, 0, 0.8);
    padding: 10px;
}

#prev {
    left: 0;
}

#next {
    right: 0;
}

#carousel:hover #prev,
#carousel:hover #next {
    opacity: 1;
}


/* INSTAGRAM Embeded */

.instaContainer {
    display: flex;
    justify-content: center;
    background-color: yellow;
    width: 100%;
}


/* NEED TO MAKE IT RESPONSIVE Instagram Responsive*/


/* DOES NOT ALLOW THE W, H, M-W INTO CONSIDERATION THE CODE MUST BE BADLY WRITTEN*/

.instaResponsive {
    width: 100%;
    height: auto;
    ;
    max-width: 330px;
    background-color: violet;
    padding: 2px;
}

.formNewsletter {
    background-color: bbccea;
    background: linear-gradient(to left top, rgba(187, 204, 234, 0.7), rgba(255, 204, 234, 0.3));
    padding: 2%;
    display: flex;
    align-items: center;
    justify-content: center;
}


/* Contact logos and social Network */

#fname,
#fsurname,
#femail,
#fbutton {
    padding: 6px;
    font-weight: bold;
    border-radius: 16%;
}

#fbutton {
    background-color: hsl(173, 25%, 73%);
    cursor: pointer;
}


/* Contact logos and social Network */

footer {
    display: flex;
    justify-content: center;
    background-color: bbccea;
    background: linear-gradient(to bottom left, rgba(187, 204, 234, 0.7), rgba(255, 204, 234, 0.3));
}

.footerSocial {
    display: flex;
    justify-content: space-between;
    align-content: space-between;
    width: 30%;
    padding: 0.5% 0;
}